<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/19/2011 *
 * ===================                          Last change: 07/19/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : funcoins_functions.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Functions for ext-funcoins                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer ext-funcoins                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

//-----------------------------------------------------------------------------
//                Wrapper functions for configuration entries
//-----------------------------------------------------------------------------

// Getter for 'funcoins_api_id' config entry
function getFuncoinsApiId () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_api_id');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_api_password' config entry
function getFuncoinsApiPassword () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_api_password');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_min_payout' config entry
function getFuncoinsMinPayout () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_min_payout');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_min_withdraw' config entry
function getFuncoinsMinWithdraw () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_min_withdraw');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_payout_active' config entry
function getFuncoinsPayoutActive () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_payout_active');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_payout_factor' config entry
function getFuncoinsPayoutFactor () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_payout_factor');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_payout_fee_fix' config entry
function getFuncoinsPayoutFeeFix () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_payout_fee_fix');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_payout_fee_percent' config entry
function getFuncoinsPayoutFeePercent () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_payout_fee_percent');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_refid' config entry
function getFuncoinsRefid () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_refid');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_withdraw_active' config entry
function getFuncoinsWithdrawActive () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_withdraw_active');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_withdraw_fee_factor' config entry
function getFuncoinsWithdrawFeeFactor () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_withdraw_fee_factor');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_withdraw_fee_fix' config entry
function getFuncoinsWithdrawFeeFix () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_withdraw_fee_fix');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Getter for 'funcoins_withdraw_fee_percent' config entry
function getFuncoinsWithdrawFeePercent () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('funcoins_withdraw_fee_percent');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// [EOF]
?>
