<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_user.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Edit member's profiles                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitgliederprofile aendern                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * @TODO Add support for ext-country                                    *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Fix a notice
$result_main = false;
if (isGetRequestElementSet('userid')) {
	// Load user entry
	$result_main = SQL_QUERY_ESC("SELECT
	`userid`,`gender`,`surname`,`family`,`street_nr`,`zip`,`city`,`country`,
	`email`,
	`birth_day`,`birth_month`,`birth_year`,
	`max_mails`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`userid`=%s
LIMIT 1",
		array(
			bigintval(getRequestElement('userid'))
		), __FILE__, __LINE__);
} // END - if

if ((!isGetRequestElementSet('userid')) || (SQL_NUMROWS($result_main) == 1)) {
	// User found
	if (!isGetRequestElementSet('userid')) {
		// Output selection form with all confirmed user accounts listed
		addMemberSelectionBox();
	} elseif (isFormSent('edit')) {
		// Ok, change the account...
		$updateUser = false; $add = '';
		if ((!isPostRequestElementSet('pass1')) && (!isPostRequestElementSet('pass2'))) {
			// Don't change the password
			$updateUser = true;
		} elseif ((postRequestElement('pass1') == postRequestElement('pass2'))) {
			// Change the password
			$updateUser = true;
			$add = ",`password`='" . generateHash(postRequestElement('pass1')) . "'";
		}

		if ($updateUser === true) {
			// We have to add the following things: birthday and max receive mails
			SQL_QUERY_ESC("UPDATE
	`{?_MYSQL_PREFIX?}_user_data`
SET
	`gender`='%s',
	`surname`='%s',
	`family`='%s',
	`street_nr`='%s',
	`country`='%s',
	`zip`=%s,
	`city`='%s',
	`email`='%s'
	".$add."
WHERE
	`userid`=%s
LIMIT 1",
			array(
				substr(postRequestElement('gender'), 0, 1),
				postRequestElement('surname'),
				postRequestElement('family'),
				postRequestElement('street_nr'),
				postRequestElement('country'),
				bigintval(postRequestElement('zip')),
				postRequestElement('city'),
				postRequestElement('email'),
				bigintval(getRequestElement('userid')),
			), __FILE__, __LINE__);
			$content = '{--ADMIN_USER_ACCOUNT_SAVED--}';
		} else {
			// Problem while saving data
			$content = '{--ADMIN_USER_ACCOUNT_NOT_SAVED--}';
		}

		// Load template
		displayMessage($content);
	} else {
		// Load entry
		$content = SQL_FETCHARRAY($result_main);

		// Load template
		loadTemplate('admin_edit_user', false, $content);
	}
} else {
	// Account does not exists!
	loadTemplate('admin_settings_unsaved', false, '{%message,ADMIN_MEMBER_404=' . bigintval(getRequestElement('userid')) . '%}');
}

// Free the result
SQL_FREERESULT($result_main);

// [EOF]
?>
